"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const common_1 = require("../common");
const jsf = __importStar(require("json-schema-faker"));
const types_1 = require("../types");
function createPubSubdata(input, stringify = true) {
    const message = jsf.generate(types_1.PubSubMessage);
    const data = Buffer.from(stringify ? JSON.stringify(input) : input).toString('base64');
    return {
        ...message,
        data,
    };
}
describe('common', () => {
    it('should handle simple PubSub messages', async () => {
        const message = createPubSubdata('hello-world', false);
        const handler = jest.fn();
        await common_1.handlePubSubMessage({ message, handler, parseJson: false });
        expect(handler).toHaveBeenCalledWith({ message, data: 'hello-world' });
    });
    it('should handle JSON PubSub messages', async () => {
        const message = createPubSubdata({ name: 'Simen' });
        const handler = jest.fn();
        await common_1.handlePubSubMessage({
            message,
            handler,
            parseJson: true,
        });
        expect(handler).toHaveBeenCalledWith({ message, data: { name: 'Simen' } });
    });
    it('should pass context', async () => {
        const message = createPubSubdata('');
        const handler = jest.fn();
        await common_1.handlePubSubMessage({
            message,
            handler,
            context: { hello: 'there' },
        });
        expect(handler).toHaveBeenCalledWith({
            message,
            data: '',
            context: { hello: 'there' },
        });
    });
});
//# sourceMappingURL=common.test.js.map