"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createPubSubCloudFunctions = void 0;
const common_1 = require("../common");
function createPubSubCloudFunctions(handler, options = {}) {
    const { parseJson, onError } = options;
    return async (req, res) => {
        try {
            await common_1.handlePubSubMessage({
                message: req.body.message,
                handler,
                context: req.body,
                parseJson,
            });
            res.status(200).send();
        }
        catch (error) {
            if (onError) {
                await onError(error);
                res.status(200).send();
            }
            else
                throw error;
        }
    };
}
exports.createPubSubCloudFunctions = createPubSubCloudFunctions;
//# sourceMappingURL=cloud-functions.js.map