import { FastifyInstance, FastifyServerOptions } from 'fastify';
import { PubSubConfig, PubSubHandler } from '../types';
export interface PubSubServerConfig extends Omit<PubSubConfig, 'handler'> {
    /**
     * Will automatically pick up PORT environment variable.
     * @default 8000
     */
    port?: number;
    /**
     * @default 0.0.0.0
     */
    address?: string;
    /**
     * Read more here: https://www.fastify.io/docs/latest/Server/
     */
    fastifyConfig?: FastifyServerOptions;
}
export interface CreatePubSubHandlerResponse {
    listen: () => Promise<void>;
    fastify: FastifyInstance;
}
export declare function createPubSubServer<T = unknown>(handler: PubSubHandler<T>, config?: PubSubServerConfig): CreatePubSubHandlerResponse;
