"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createPubSubServer = void 0;
const fastify_1 = __importDefault(require("fastify"));
const fastify_plugin_1 = require("./fastify-plugin");
function createPubSubServer(handler, config = {}) {
    const { fastifyConfig, port = process.env.PORT || 8000, address = '0.0.0.0', parseJson = true, path = '/', onError, } = config;
    const fastify = fastify_1.default({
        ...fastifyConfig,
    });
    fastify.register(fastify_plugin_1.pubSubFastifyPlugin, { handler, parseJson, path, onError });
    return {
        async listen() {
            await fastify.listen(port, address);
        },
        fastify,
    };
}
exports.createPubSubServer = createPubSubServer;
//# sourceMappingURL=server.js.map